Skip to main content

Create Email ID Resource

API Description

Create a new email resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/brands/{brandId}/email-ids
Path Example
POST {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/email-ids

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body

NameInput
$.emailIdDetails
REQUIRED
Example Request Body (raw JSON)
{
"emailIdDetails": {
"address": "user@business.com"
}
}

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json
etag: "8d0a76ac-0be9-11ef-9262-0242ac120002"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/email-ids/9467895078742654966

Response Body

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.emailIdDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654966",
"createdDate": "2026-05-11T18:34:00Z",
"updatedDate": "2026-05-11T18:34:00Z",
"state": "SUBMITTED",
"etag": "8d0a76ac-0be9-11ef-9262-0242ac120002",
"emailIdDetails": {
"address": "user@business.com"
},
"validationReports": []
}